Manual10/fr

From FreeCAD Documentation
Jump to: navigation, search




Manuel



de



FreeCAD





Splash013.jpg




Ce manuel traite des Outils d'architecture.


Arch



Outils d'architecture

FreeCAD.png
Page suivante: Structure Arch Structure.png Arrow-right.svg

Arch Wall.svg Architecture Mur

Emplacement du menu
Arch → Mur
Ateliers
Arch
Raccourci par défaut
W A
Introduit dans la version
-
Voir aussi
Structure

Contents


Description

Cet outil crée un objet mur à partir de zéro ou sur la base de n'importe quel objet shape ou sur la base de n'importe quel objet mesh. Un mur peut être construit sans objet de base, il se comportera alors comme un volume cubique, il sera construit à l'aide des propriétés de longueur, largeur et hauteur. Lorsque qu'il est construit sur une forme existante, le mur peut être basé sur :

  • Un linear 2D object objet linéaire 2D, tel que ligne, fil, arc ou croquis, dans ce cas, vous pouvez modifier l'épaisseur, l'alignement (droite, gauche ou centré) et la hauteur. La propriété de longueur n'a pas d'effet.
  • Une flat face face plane, dans ce cas, vous ne pouvez pas changer la hauteur. La propriété length (longueur) n'a pas d'effet. Si le base de la face est verticale, le mur utilisera la propriété largeur au lieu de la propriété hauteur, vous permettant de construire des murs à partir d'objets en forme d'espace ou d'étude de masse.
  • Un solid solide, les propriétés de longueur, de largeur et de hauteur n'ont aucun effet. Le mur utilise simplement le solide sous-jacent comme forme.
  • Un mesh maille, dans ce cas, le maillage sous-jacent doit être un solide non multiple fermé.

Arch Wall example.jpg

L'exemple ci-dessus montre les murs en cours de construction au-dessus d'une ligne, un fil, une face, un solide, et, un croquis.


Les murs peuvent aussi avoir des ajouts ou des soustractions. Les ajouts sont d'autres objets dont les formes sont jointes aux formes du mur, tandis que les soustractions sont soustraites. L'Ajout, et, la soustraction peuvent être exécutés grâce aux outils Ajouter et, Supprimer. Les additions, et, les soustractions n'ont aucune influence sur les paramètres de mur, comme la hauteur, et, la largeur, et, ce qui peut être encore modifié. Les murs peuvent aussi avoir une hauteur automatique, si elles sont incluses dans un objet de niveau supérieur tels que lescellules ou les planchers. La hauteur doit être maintenue à 0, puis le mur doit adopter la hauteur spécifiée dans l'objet parent.

Lorsque plusieurs murs doivent se croiser, vous devez les placer dans une cellule ou un sol, et, avoir leurs géométries entre coupées.

Utilisation

Dessiner un mur au niveau désiré

  1. Pressez le bouton Arch Wall.svg Atelier Architecture, ou pressez les touches W, et, A.
  2. Cliquez le premier point dans la vue 3D, ou tapez une coordonnée.
  3. Cliquez le second point dans la vue 3D, ou tapez une coordonnée.

Dessinez un mur sur un objet sélectionné

  1. Sélectionnez un ou plusieurs objets géométriques de base (Draft object, sketch, etc)
  2. Cliquez sur le bouton Arch Wall.pngArch_Wall ou pressez les touches W then A.
  3. Ajustez les propriétés nécessaires telles que, la hauteur ou la largeur.

Options

  • Walls partage les comportement et propriétés communes pour tous les Composants Arch
  • La hauteur, la largeur, et, l'alignement d'un mur peuvent être définis lors de l'élaboration, via la Vue combinée → Propriétés
  • Lorsque l'on aligne un nouveau mur à un mur existant, les deux murs se raccorderont en un seul mur. La manière dont les deux parois vont se joindre, dépend de leurs propriétés : s'ils ont la même largeur, hauteur, et, alignement. Le mur résultant, sera un objet basé sur un dessin, constitué de plusieurs segments. Dans le cas contraire, le dernier mur, sera ajouté comme un complément du premier mur.
  • Pressez les touches X, Y ou Z après le premier point pour contraindre le second point sur les axes donnés.
  • Vous pouvez entrer les coordonnées manuellement, simplement en entrant un nombre, puis tapez ENTER entre chaque composants X, Y, et, Z.
  • Pressez la touche R ou cochez / décochez la case Relatif. Si Relatif est coché, les coordonnées du second point sont relatives au premier point. Si Relatif est décoché, le point est absolu, les coordonnées commencent au point d'origine (0,0,0).
  • Après avoir cliqué votre premier point, donnez une direction horizontale ou verticale à votre ligne, puis, pressez sur la touche SHIFT, et, votre ligne sera contrainte horizontalement ou verticalement.
  • Appuyez sur ESC ou le boutonAnnuler pour annuler l'opération, et, quitter la fonction.
  • Après sa création, faire un double-clic sur le mur, dans l'arborescence de la Vue combinée, vous permet d'entrer dans le mode édition, et, d’accéder aux modifications, aux ajouts ou aux suppressions.
  • Les murs multicouches peuvent être créés facilement par la construction de plusieurs murs sur la même ligne de base. En affectant les propriétés Align et en spécifiant une valeur de décalage gauche ou droite, vous pouvez effectivement construire plusieurs couches sur la paroi. Placer une fenêtre dans une telle couche de mur propagera l'ouverture vers les autres couches de la paroi basée sur la même ligne de base.
  • Les murs peuvent également utiliser la fonction Multi-Matériaux. Lors de l'utilisation d'un objet multi-matériaux, le mur devient multicouche, en utilisant les épaisseurs spécifiées par le multi-matériaux. Toute couche avec une épaisseur de zéro aura son épaisseur définie automatiquement par l'espace restant défini par la valeur de la largeur du mur, après avoir soustrait les autres couches.
  • Les murs peuvent être faits pour afficher des blocs, au lieu d'un seul solide, en activant leurs propriétés DONNÉESMake Blocks. La taille et le décalage des blocs peuvent être configurés avec des propriétés différentes, et la quantité de blocs est calculée automatiquement. Disponible dans la version 0.18

Accrochage (Snapping)

La fonction accrochage (snapping) pour Arch walls est un peu différente qu'avec Arch et les autres objets Draft. Si un mur a un objet de base, l'accrochage se fait sur l'objet de base, au lieu de la géométrie du mur, ce qui permet d'aligner facilement le mur sur sa ligne de base. Si, toutefois, vous voulez spécifiquement que l'alignement se fasse sur la géométrie du mur, appuyez sur la touche Ctrl et l'accrochage se fera sur le mur.

Arch wall snap.jpg

Le deuxième mur se coupe perpendiculairement au premier


Propriétés

Les objets muraux héritent des propriétés de Part, et ont également les propriétés supplémentaires suivantes :

  • DONNÉESAlign: L'alignement de la base du mur sur la base de référence : Gauche, Droite ou Centre
  • DONNÉESBase: Ce mur est construit sur l'objet de base
  • DONNÉESFace: L'index de la face de l'objet de base utilisée. Si la valeur n'est pas définie ou est 0, l'objet entier est utilisé
  • DONNÉESForce Wire: Si la valeur est True le mur est basé sur une face, seul le bord de la face est utilisée, résultant en un mur bordant la face
  • DONNÉESLength: la longueur du mur (non utilisé lorsque le mur est basé sur une face)
  • DONNÉESWidth: La largeur du mur. (non utilisé lorsque le mur est basé sur une face)
  • DONNÉESHeight: La hauteur du mur (non utilisé lorsque le mur est basé sur une face). Si aucune hauteur n'est donnée et que le mur est à l'intérieur d'un objet floor avec sa hauteur définie, le mur prendra automatiquement la valeur de la hauteur de l'étage.
  • DONNÉESNormal: Donne une direction pour l'extrusion du mur. Si la valeur (0,0,0), la direction d'extrusion est automatique.
  • DONNÉESOffset: Spécifie la distance entre le mur et le niveau de référence. Fonctionne uniquement si la propriété Align est à droite ou à gauche (Right ou Left.).

Disponible dans la version 0.18:

  • DONNÉESMake Blocks: Activez cette propriété pour créer les blocs
  • DONNÉESBlock Length: La longueur de chaque bloc
  • DONNÉESBlock Height: La hauteur de chaque bloc
  • DONNÉESOffset First: Décalage horizontal de la première ligne de blocs
  • DONNÉESOffset Second: Décalage horizontal de la deuxième ligne de blocs
  • DONNÉESJoint: Donnez la taille des joints entre chaque bloc
  • DONNÉESCount Entire: Le nombre de blocs entiers (lecture seule)
  • DONNÉESCount Broken: Le nombre de blocs coupés (lecture seule)

Script

Voir aussi: Arch API et FreeCAD Scripting Basics.

L'outil mur peut servir dans une macros, et, à partir de la console Python en utilisant la fonction suivante :

Wall = makeWall(baseobj=None, length=None, width=None, height=None, align="Center", face=None, name="Wall")
  • Crée un objet Mur à partir d'objet donné, qui peut être un objet Draft, un objet Sketch, une face ou un solide.
    • Si aucun objet n'est indiqué, vous pouvez fournir les valeurs numériques pour longueur, largeur (épaisseur) et hauteur.
    • Si donné, face peut être utilisé pour donner l'index d'une face à partir de l'objet sous-jacent, pour construire ce mur, au lieu d'utiliser tout l'objet.
  • align peut être au "Centre", à "Gauche" ou à "Droite".
  • Il renvoie None si l'opération échoue.

Exemple:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
Draft.move(Wall2, FreeCAD.Vector(0, -1000, 0))
FreeCAD.ActiveDocument.recompute()
FreeCAD.png
Page suivante: Structure Arch Structure.png Arrow-right.svg
Arrow-left.svg Page précédente: Arch Wall.png Wall
Page suivante: Arch CompRebarStraight Arch CompRebarStraight.png Arrow-right.svg

Arch Structure.svg Arch Structure

Emplacement du menu
Arch → Structure
Ateliers
Arch
Raccourci par défaut
S T
Introduit dans la version
-
Voir aussi
Arch Wall, Arch Rebar


Description

L'atelier Arch Structure vous permet de construire les éléments structurels, tels que colonnes ou poutres, en précisant leur largeur, longueur et hauteur, ou en les fondant sur un profil 2D (face, fil ou esquisse).

Si aucun profil n'est fourni, un ensemble de préréglages est disponible pour construire rapidement un élément structurel à partir d'un profil standard prédéfini.

Arch Structure example.jpg

Colonne basée sur un profil de base 2D; une colonne et une poutre définies par leur hauteur, leur longueur et leur largeur, sans profil de base; une structure métallique basée sur une face 2D


Utilisation

  • Sélectionnez une forme 2D (objet draft, une face ou une esquisse) (en option).
  • Appuyez sur le bouton Arch Structure.svg Arch Structure ou appuyez sur les touches S puis T.
  • Réglez les propriétés désirées.

Options

  • Lorsqu'aucun objet 2D de base n'est sélectionné, l'outil Structure dispose de 2 modes de dessin: Colonne et Poutre:
    • En mode colonne, il vous est demandé de choisir un point à l'écran ou en entrant les coordonnées. Le nouvel objet de structure sera placé à cet endroit.
    • En mode poutre, il vous est demandé de choisir deux points à l'écran ou en entrant les coordonnées. Le nouvel objet structurel s'étendra entre ces deux points.
  • Les éléments structurels partagent les propriétés communes et les comportements de tous les composants Arch
  • La hauteur, la largeur et la longueur d'une structure peuvent être modifiées après création.
  • Appuyez sur les touches Esc ou le bouton Cancel pour annuler la commande en cours.
  • Double-cliquer sur la structure dans l'arborescence après sa création vous permet d'entrer dans le mode édition pour accéder et modifier ses ajouts et retraits.
  • En mode édition, il est également possible d'ajouter un système d'axes à l'élément structurel. Lors de l'ajout d'un système d'axes, l'élément structurel sera copié une fois sur chaque axe du système. Lors de l'ajout de deux systèmes d'axes, l'élément structurel sera copié une fois sur chaque point d'intersection des deux systèmes.

Propriétés

Données

  • DONNÉESTool: un chemin d'extrusion facultatif, qui peut être n'importe quel type de fil. Si cette propriété est vide, l'extrusion sera droite et se déroulera dans le sens indiqué par la propriété Normal.
  • DONNÉESNormal: spécifie la direction dans laquelle la face de base de cette structure sera extrudée. Si cette propriété est maintenue à (0,0,0), la direction sera automatiquement définie sur la direction normale de la face de base.
  • DONNÉESFace Maker: spécifie le type d'algorithme de génération de face à utiliser pour créer le profil. Les choix sont None, Simple, Cheese and Bullseye.
  • DONNÉESLength: spécifie la longueur de la structure. Ceci n'est utilisé que si la structure n'est pas basée sur un profil.
  • DONNÉESWidth: spécifie la largeur de la structure. Ceci n'est utilisé que si la structure n'est pas basée sur un profil.
  • DONNÉESHeight: spécifie la hauteur de la structure ou la longueur d'extrusion lorsqu'elle est basée sur un profil. Si aucune hauteur n'est donnée et que la structure est à l'intérieur d'un objet Arch Floor avec sa hauteur définie, la structure prendra automatiquement la valeur de la hauteur du sol.
  • DONNÉESNodes Offset: spécifie un décalage facultatif entre la ligne médiane et la ligne des nœuds.

Vues

  • VUENodes Type: Le type de nœuds structurels de cet objet, linéaire ou zone.
  • VUEShow Nodes: Affiche ou masque les nœuds structurels.

Prérequis

L'outil Structure dispose aussi d'une série de préréglages qui permettent de construire rapidement des profils métalliques standard ou d'éléments préfabriqués en béton.

Arch presets example.jpg

Quelques préréglages pour les structures en acier


Les présélections sont obtenues en choisissant une Catégorie à partir du panneau d'options de structure. Les catégories disponibles sont Béton préfabriqué ou un des profilés métalliques standard de l'industrie tels que HEA, HEB ou INP. Pour chacune de ces catégories, un certain nombre de préréglages est disponible. Une fois qu'une présélection est choisie, ses paramètres individuels tels que Longueur, Largeur ou Hauteur peuvent être ajustés. Cependant, pour des profilés métalliques, la taille du profil est définie par le préréglage et ne peut pas être modifiée.

Le bouton Commutateur L/H peut être utilisé pour donner les valeurs de la longueur et de la hauteur, et la construction d'une poutre horizontale plutôt que d'une colonne verticale.

Arch precast example.jpg

Quelques préréglages pour les structures préfabriquées en béton


Structure des nœuds

L'objet structurel a également la possibilité d'afficher les nœuds structurels. les nœuds structurels sont une séquence de points 3D stockés dans la propriété "nœuds". Dans propriété "Afficher les nœuds" sélectionnez on/off, on peut voir les nœuds structurels d'un élément de structure:

Arch structural nodes.jpg

Nœuds structurels rendus visibles pour un ensemble de structures


  • Les nœuds sont calculés et mis à jour automatiquement, tant que vous ne les modifiez pas manuellement. Si vous le faites manuellement, et que la forme de l'objet change sa structure ils ne seront pas mis à jour, à moins que vous n'utilisiez l'outil «Reset nœuds» ci-dessous.
  • Les structures Arch peuvent avoir non seulement des nœuds linéaires, mais aussi des nœuds planaires. Pour cela, 1- Il doit y avoir au moins 3 vecteurs dans la propriété "Nodes" de l'objet, 2- la propriété "NodesType" de leur ViewObject doit être réglée sur "Surface".
  • Lorsque le calcul des nœuds est automatique (d'office, si vous ne les touchez pas manuellement), lors de la création de la propriété Rôle d'une structure à "Slab", il deviendra automatiquement un nœud plat (il y aura plus de 3 vecteurs et NodesType sera réglé sur "Surface").
  • Lors de la modification d'un objet de structure (double-clic), une série d'outils pour les nœuds est disponible dans la vue "Tâche":
    • Réinitialiser les nœuds lancera le calcul automatique, dans le cas où vous les modifiez manuellement.
    • Modifier les nœuds graphiquement, fonctionne de la même manière que dans l'Edition Draft.
    • Étendre les nœuds de l'objet modifié jusqu'à ce qu'il touchent le nœud d'un autre objet.
    • Construire le nœud de cet objet et le rendre coïncidant à un autre.
    • Basculer l'affichage on/off de tous les nœuds et de tous les éléments structurels dans le document.

Script

Voir aussi : Arch API et FreeCAD Scripting Basics.

L'outil Structure peut être utilisé dans des macros et à partir de la console Python à l'aide de la fonction suivante:

Structure = makeStructure(baseobj=None, height=None)
Structure = makeStructure(baseobj=None, length=None, width=None, height=None, name="Structure")
  • Créer un objet Structure à partir du baseobj donné, qui est un profil fermé, et de l'extrusion donnée height.
    • Si aucun baseobj n'est donné, vous pouvez fournir les valeurs numériques pour length, width, et height pour créer une structure de bloc.
    • baseobj peut également être n'importe quel objet solide existant.

Exemple:

import FreeCAD, Draft, Arch

Rect = Draft.makeRectangle(200, 300)
Structure1 = Arch.makeStructure(Rect, height=2000)
FreeCAD.ActiveDocument.recompute()

Structure2 = Arch.makeStructure(None, length=500, width=1000, height=3000)
Draft.move(Structure2, FreeCAD.Vector(2000, 0, 0))
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Arch Wall.png Wall
Page suivante: Arch CompRebarStraight Arch CompRebarStraight.png Arrow-right.svg

Arch_Cell/fr

Arch Cell.svg Arch Cell

Emplacement du menu
Arch -> Cell
Ateliers
Arch
Raccourci par défaut
C E
Introduit dans la version
-
Voir aussi
Arch Floor


NOTE : A partir de la version 0.13 cette commande est supprimée. Utilisez à la place la commande Draft_AddToGroup groupe.

Description

Les outils cellulaires permettent de regrouper plusieurs éléments architecturaux dans un «groupe». Les formes géométriques similaires sont jointes (murs avec murs, éléments de structure avec éléments de structure, etc)

Arch Cell example.jpg

Dans l'exemple ci-dessus, les 3 murs de la gauche sont rejoints dans une cellule, affichée à la droite

Utilisation

  • Sélectionnez les objets de base destinés à être regroupés.
  • Appuyez sur le bouton Arch Cell Arch Cell.png
  • Les différents composants, peuvent ensuite être ajoutés ou retirés avec les outils Arch Add Arch Add.png et Retirer Arc Arch Remove Arch Remove.png.


Les outils architecturaux

Mur    Élément structurel    Crée une cellule    Étage    Bâtiment    Crée un site    Crée une fenêtre    Crée un toit    Axes système    Plan de coupe    Crée un objet spatial    Crée un objet escalier    Ajouter    Supprimer   


Test of tables

Constraints Combination Remarks

You can italicize text by putting 2 apostrophes on each side.

3 apostrophes will bold the text.

5 apostrophes will bold and italicise the text.

(4 apostrophes don't do anything special -- there's just 'one left over'.)

You can ''italicize text'' by putting 2 
apostrophes on each side. 

3 apostrophes will bold '''the text'''. 

5 apostrophes will bold and italicize 
'''''the text'''''.

(4 apostrophes don't do anything special 
 -- there's just ''''one left over''''.)

Elbow equality horizontal vertical.png

Flips at 51 mm

Defintion of length: Equality constraint for definition of length

Defintion of orientation: horizontal and vertical constraints


Traductions disponibles: Flag-en.jpg Flag-es.jpg Flag-it.jpg Flag-jp.jpg

Arch Floor.svg Planchers

Emplacement du menu
Arch → Floor
Ateliers
Atelier Architecture
Raccourci par défaut
F L
Introduit dans la version
-
Voir aussi
Bâtiment, Partie de bâtiment


Description

L'établi Planchers est un type spécial de cellules Arch Arch Cell.png qui a quelques propriétés supplémentaires, particulièrement adapté pour la construction de planchers. En particulier, ils ont une propriété height, auquel ses objets enfants, ( walls (murs) Arch Wall.png et structuresArch Structure.png ) peuvent être définis, pour utiliser leur propre hauteur automatiquement.

À partir de FreeCAD 0.18, l'atelier Planchers (Arch Floor) est entièrement dérivé de l'objet Partie de bâtiment qui est un conteneur général permettant d'organiser un modèle de construction ne se limitant pas aux étages ou aux étages. Les anciens objets Floor peuvent être convertis dans le nouveau type en cliquant dessus avec le bouton droit de la souris et en choisissant Convert to BuildingPart.

Utilisation

  1. Optionnellement, sélectionnez un ou plusieurs objets que vous voulez inclure dans votre nouveau plancher.
  2. Cliquez sur le bouton Arch Floor.svg Planchers ou pressez les touches F et L.

Options

  • Après la création du plancher, vous devez ajouter un ou plusieurs objets que vous pouvez copier/coller dans la vue 3D ou utilisez l'outil Arch Add.svg Arch Add.
  • Vous pouvez effacer le plancher que vous avez copier/coller dans la vue 3D ou utiliser l'outil Arch Remove.svg Arch Remove.

Propriétés

Un objet Plancher (Arch Floor) partage toutes les propriétés d'un objet Partie de bâtiment avec le DATAIfc Role défini sur "Building Storey".

Script

Voir aussi : Arch API et FreeCAD Scripts de Base.

L'outil Plancher peut être utilisé dans une macro ainsi que dans la console Python en utilisant la commande :

Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
  • Crée un objet Floor à partir de objectlist qui est une liste d'objets.

Exemple:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Floor = Arch.makeFloor([Wall1, Wall2])

Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Arch BuildingPart.svg Partie de bâtiment
Page suivante: Site Arch Site.svg Arrow-right.svg

Arch Building.svg Bâtiment

Emplacement du menu
Arch → Building
Ateliers
Atelier Architecture
Raccourci par défaut
B U
Introduit dans la version
-
Voir aussi
Partie de bâtiment, Site


Description

Le bâtiment est un type spécial de Cellule Arch Cell.png conçue pour contenir une unité de l'ensemble du bâtiment. Jusqu'à présent, la seule spécificité qu'il possède, est une icône différente.

Utilisation

  1. Optionnellement, selectionnez un ou plusieurs objets que vous voulez inclure dans votre nouveau bâtiment
  2. Pressez le bouton Arch Building.svg Arch Building ou appuyez sur les touches B puis U.

Options

  • À partir de FreeCAD version 0.18, l'objet Building est en réalité une BuildingPart avec sa propriété DATAIFC role définie sur "Building". Vous pouvez convertir n'importe quelle BuildingPart en un bâtiment simplement en modifiant son rôle IFC.
  • Après la création du bâtiment, vous pouvez ajouter un ou plusieurs objets que vous pouvez copier/coller dans la vue 3D ou utilisez l'outil Arch Add.svg Arch Add.
  • Vous pouvez effacer le bâtiment que vous avez copier/coller dans la vue 3D ou utiliser l'outil Arch Remove.svg Arch Remove.

Propriétés

  • DATABuilding Type: Le type de ce bâtiment, à choisir dans une liste.

Script

Voir aussi: Arch API et FreeCAD Scripts de Base.

L'outil Bâtiment peut être utilisé à l'intérieur d'une macros et à partir de la console Python en utilisant la fonction suivante:

Building = makeBuilding(objectslist=None, baseobj=None, name="Building")
  • Crée un objet Building à partir de objectlist qui est une liste d'objets ou de baseobj qui est un Shape.

Exemple:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Building = Arch.makeBuilding([Wall1, Wall2])

Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Arch BuildingPart.svg Partie de bâtiment
Page suivante: Site Arch Site.svg Arrow-right.svg
Arrow-left.svg Page précédente: Arch Building.svg Bâtiment
Page suivante: Référence Arch Reference.svg Arrow-right.svg

Arch Site.svg Arch Site

Emplacement du menu
Arch → Site
Ateliers
Atelier Architecture
Raccourci par défaut
S I
Introduit dans la version
-
Voir aussi
Planchers, Bâtiment


Description

Arch Site est un objet spécial qui combine les propriétés d'un objet groupe FreeCAD standard et un objet Arch. Il est particulièrement adapté pour représenter un site entier, ou un terrain. Dans IFC-travail architectural, il est surtout utilisé pour organiser votre modèle, qui contient un objet bâtiment. Arch Site est également utilisé pour gérer et afficher un terrain physique, et peut calculer le volume de terre a ajouter ou a supprimer.

Utilisation

  1. Optionnellement, sélectionnez un ou plusieurs objets pour les inclure dans votre nouveau site
  2. Pressez le bouton Arch Site.svg Arch Site , ou les touches S et I.

Options

  • Après la création d'un site, vous pouvez ajouter des objets par glisser-déposer dans l'arborescence ou en utilisant l'outil {{ButtonArch Add.png Arch Add}}. Cela détermine uniquement quel objet fait partie du site donné et n'a aucun effet sur le terrain lui-même.
  • Vous pouvez supprimer les objets d'un site par un glisser-déposer hors du site ou de la vue arborescente ou en utilisant l'outil Arch Remove.svg Arch Remove.
  • Vous pouvez ajouter un objet terrain en éditant le site propriété DATATerrain. Le terrain doit être une coquille ouverte (open shell) ou une surface.
  • Vous pouvez ajouter ou les soustraire des volumes du terrain de base, en double-cliquant sur le site, et ajouter des objets à ces soustractions ou groupes ajoutés. Les objets doivent être des solides.
  • La propriété DATAExtrusion Vector peut être utilisée pour résoudre certains problèmes qui peuvent apparaître lorsque vous travaillez avec des soustractions et des additions. Afin de réaliser ces additions/soustractions, la surface du terrain doit être extrudée en un solide, qui est ensuite convenablement fusionnée/soustraite. En fonction de la topologie du terrain, cette extrusion peut échouer avec le vecteur d'extrusion par défaut. Vous pourrez donc être en mesure de remédier au problème en changeant sa valeur.

Propriétés

Data

  • DONNÉESTerrain: Le terrain de base du site
  • DONNÉESAddress: L'adresse du site (rue numéro)
  • DONNÉESPostal Code: Le code postal
  • DONNÉESCity: La ville du site
  • DONNÉESCountry: Le pays du site
  • DONNÉESLatitude: La latitude du site
  • DONNÉESLongitude: La longitude du site
  • DONNÉESUrl: L'adresse URL du site sur une carte web
  • DONNÉESProjected Area: La surface de projection de l'ojet dans le plan XY
  • DONNÉESPerimeter: La longueur du périmètre du terrain
  • DONNÉESAddition Volume: Le volume de terre a ajouter dans le terrain
  • DONNÉESSubtraction Volume: Le volume de terre a soustraire du terrain
  • DONNÉESExtrusion Vector: Le vecteur d'extrusion a utiliser pour une opéraion booléenne
  • DONNÉESRemove Splitter: Efface le splitter de la forme résultante
  • DONNÉESDeclination: L’angle entre le nord vrai et le nord dans ce document, c’est-à-dire l’axe des Y. Disponible dans la version 0.18 Cela signifie que par défaut (déclinaison de 0 degré) le Nord pointe vers l’axe Y et est vers l’est dans l'Axe X; l'angle est incrémenté dans les sens contraire des aiguilles d'une montre. Cette propriété était connue auparavant comme une DONNÉESNorth Deviation.

Vue

  • VUESolar Diagram: Affiche ou cache le diagramme du soleil
  • VUESolar Diagram Color: La couleur du diagramme du soleil
  • VUESolar Diagram Position: La position du diagramme du soleil
  • VUESolar Diagram Scale: L'échelle du diagramme du soleil

Travail typique

Commencez par créer un objet qui représente votre terrain. Ce doit être une surface ouverte pas un solide. Par exemple, il est facile d'importer des données de maillage, qui peuvent être transformées en une forme de pièce à partir du menu Part → Créer une forme à partir d'un maillage. Créez ensuite un objet Site et définissez sa propriété DATATerrain sur la pièce que nous venons de créer:

Arch site example 01.jpg

Créez les volumes (les volumes doivent être des solides) qui représentent les surfaces à travailler. Double cliquez sur l'objet Site dans la vue 3D, et ajoutez ou soustrayez ces volumes du groupe. Cliquez sur OK.

Arch site example 02.jpg

La géométrie du site est alors calculée, les surfaces les périmètres et volumes sont automatiquement recalculés.

Arch site example 03.jpg

Diagramme du soleil

Si [1] est installé, Arch Site peut afficher un diagramme solaire. Pour cela, les propriétés DONNÉESLongitude, DONNÉESLatitude et DONNÉESNorthDeviation doivent être correctement définies et la propriété de vue VUESolarDiagram activée True. Disponible dans la version 0.17

Pysolar 0.7 ou supérieur est requis; cette version ne fonctionne qu'avec Python 3. Si vous avez besoin de cette fonctionnalité avec Python 2, vous devez avoir Pysolar 0.6 car il s'agit de la dernière version qui fonctionne avec Python 2.

Freecad-solar-diagram.jpg

Script

Voir aussi : Arch API et FreeCAD Scripts de Base.

L'outil site est utilisable dans une macro et dans la console Python en utilisant la fonction suivante :

Site = makeSite(objectslist=None, baseobj=None, name="Site")
  • Crée un objet Site à partir de objectlist qui est une liste d'objets ou baseobj qui est un Shape ou Terrain.

Exemple:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Building = Arch.makeBuilding([Wall])
Site = Arch.makeSite([Building])

FreeCAD.ActiveDocument.recompute()
FreeCAD.Gui.ActiveDocument.ActiveView.viewIsometric()

Diagramme solaire

Tant que le module pysolar est présent, un diagramme solaire peut être ajouté au site. Définissez les angles de longitude, de latitude et de déclinaison selon les besoins, ainsi qu'une échelle adéquate pour la taille de votre modèle.

Veuillez noter que Pysolar 0.7 ou supérieur est requis et que cette version ne fonctionne qu'avec Python 3.

Site.Longitude = -46.38
Site.Latitude = -23.33
Site.Declination = 30
#Site.Compass = True

Site.ViewObject.SolarDiagram = True
Site.ViewObject.SolarDiagramScale = 10000
FreeCAD.ActiveDocument.recompute()

Diagramme solaire indépendant du site

Solar diagram peut aussi être créé avec la fonction suivante

Node = makeSolarDiagram(longitude, latitude, scale=1, complete=False)
  • Crée un diagramme solaire en tant que nœud Pivy en utilisant longitude et latitude avec scale facultatif.
  • Si complete est mis aà True, les 12 mois sont montrés.

Montre le plein soleil analemma.

import FreeCADGui, Arch

Node = Arch.makeSolarDiagram(-46.38, -23.33, scale=10000, complete=True)
FreeCAD.Gui.ActiveDocument.ActiveView.getSceneGraph().addChild(Node)
Arrow-left.svg Page précédente: Arch Building.svg Bâtiment
Page suivante: Référence Arch Reference.svg Arrow-right.svg
Arrow-left.svg Page précédente: Arch Reference.svg Reference
Page suivante: Plan de coupe Arch SectionPlane.svg Arrow-right.svg

Arch Window.svg Fenêtre

Emplacement du menu
Arch → Fenêtre
Ateliers
Atelier Architecture
Raccourci par défaut
W I
Introduit dans la version
-
Voir aussi
Arch Mur, Arch Addition


Description

Un outil fenêtre est un objet de base pour toutes sortes d'objets intégrable, comme les fenêtres et portes. Il est conçu pour être indépendant, ou devenir hôte à l'intérieur d'un autre composant comme un mur, un élément de structure, ou un toit. Il a sa propre forme géométrique, qui peut être fait de plusieurs composants (généralement un cadre et des panneaux intérieurs), et définit également un volume à soustraire aux objets hôtes, afin de créer une ouverture.


Les fenêtres sont basées sur des objets 2D fermés comme des rectangles ou des esquisses utilisés pour définir les composantes internes. L'objet 2D de base peut donc contenir plusieurs fils fermés, qui peuvent être combinés pour constituer des panneaux pleins (un seul fil) ou cadres (plusieurs fils).

L'outil Window comporte également plusieurs préréglages ; Cela permet à l'utilisateur de créer des types communs de fenêtres et de portes avec certains paramètres modifiables, sans qu'il soit nécessaire de créer manuellement les objets et composants 2D de base.

Toutes les informations applicables à une fenêtre s'appliquent également à une porte, car il s'agit du même objet sous-jacent. La principale différence entre une fenêtre et une porte est que la porte a un panneau interne qui est représenté opaque (la porte elle-même), tandis que la fenêtre a un panneau qui est partiellement transparent (le verre).

Arch Window example.jpg

Fenêtre construite à partir d'un rectangle de dessin puis insérée dans un mur. L’utilisation de addition découpe automatiquement une ouverture correcte dans le mur hôte.


Arch Window example2.jpg

Fenêtre complexe en cours de construction sur une esquisse. Lorsque vous entrez en mode édition de la fenêtre, vous pouvez créer différents composants, définir leur épaisseur puis sélectionner et affecter des fils de l'esquisse à ceux-ci.


Utilisation

Utilisation des préréglages

  1. Tout désélectionner. Si une face est sélectionnée, vous entrez dans le mode "Créer à partir de zéro" mode automatique.
  2. Appuyez sur le bouton Arch Window.svg Arch Window ou appuyez sur les touches W puis I.
  3. Sélectionnez un des préréglages dans la liste.
  4. Remplissez les paramètres souhaités.
  5. Cliquez sur le bouton OK.

Note: Si vous installez la "Bibliothèque de pièces" à partir de AddonManager, l'outil recherchera des préréglages supplémentaires dans cette bibliothèque. Ces préréglages sont des fichiers FreeCAD contenant une seule fenêtre basée sur une esquisse paramétrique ayant des contraintes nommées. Vous pouvez placer des préréglages supplémentaires dans le répertoire parts_library de manière à ce qu'ils soient trouvés par l'outil Fenêtre.

$ROOT_DIR/Mod/parts_library/Architectural\ Parts/Doors/Custom/
$ROOT_DIR/Mod/parts_library/Architectural\ Parts/Windows/Custom/

Le dossier $ROOT_DIR est le répertoire de l'utilisateur où la configuration, les macros et les établis externes de FreeCAD sont stockés.

  • L'emplacement habituel dans Linux est /home/username/.FreeCAD/
  • L'emplacement habituel dans Windows est C:\Users\username\AppData\Roaming\FreeCAD
  • L'emplacement habituel dans est /Users/username/Library/Preferences/FreeCAD/

Création à partir de zéro

  1. Optionnellement, sélectionnez une face ou un objet Arch où vous devez insérer votre fenêtre
  2. Activez le module Sketcher
  3. Créez une nouvelle esquisse
  4. Dessinez une ou plusieurs formes fermées
  5. Fermez le sketcher
  6. Activez le module Arch Workbench
  7. Appuyez sur le bouton Arch Window.svg Arch Window ou appuyez sur les touches W puis I
  8. Entrez dans le mode édition en double cliquant sur la fenêtre dans la vue 3D, pour ajuster les composants de la fenêtre

Préréglages

Les préréglages suivants sont disponibles :

Création de composants

Arch Windows peut inclure trois types de composants : panneaux, cadres et grilles. Les panneaux et grilles sont constitués d'un fil fermé, obtenu par extrusion, tandis que les armatures sont faites de 2 fils fermés ou plus, où chacune est extrudée, puis les plus petites sont soustraites des plus grandes. Vous pouvez accéder, créer, modifier et supprimer des composants d'une fenêtre en mode d'édition (double-cliquez sur la fenêtre dans la vue 3D). Les composants ont les propriétés suivantes :

  • Name: Le nom du composant
  • Type: Le type de composant The type of component. Peut être, "un panneau de verre", "panneau solide" ou "une persienne"
  • Wires: Liste de fils séparés par une virgule
  • Thickness : l'épaisseur de l'extrusion du composant.
  • Z Offset : la distance entre le composant, et, sa ligne de base 2D.
  • Hinge: Ceci vous permet de sélectionner un bord de l'objet 2D de base, puis de définir ce bord comme une charnière pour ce composant et ceux qui sont dans la liste
  • Opening mode: Si vous avez défini une charnière dans ce composant ou un autre dans la liste, le réglage du mode d'ouverture permettra à la fenêtre d'apparaître ouverte ou d'afficher les symboles 2D d'ouverture en plan ou en élévation.

Arch Window options.jpg

Options

  • L'objet Windows partage les propriétés communes et le comportement de tous les objet Arch Composants
  • Si la case Auto-include est cochée , la fenêtre ne sera pas insérée dans l'objet hôte.
  • Ajoutez une fenêtre sélectionnée sur un mur, pressez sur le bouton Arch Add.svg ajouter.
  • Supprimez la fenêtre sélectionnée du mur, pressez sur le bouton Arch Remove.svg effacer.
  • Lors de l'utilisation des préréglages, il est souvent commode de transformer le "Near" Draft Snap, donc vous pouvez coller votre fenêtre sur une face existante.
  • L'emplacement créé par une fenêtre sur objet hôte est déterminé par deux propriétés: DATAHole Depth (Profondeur de l'emplacement) et DATAHole Wire (Lignes de l'emplacement) (Disponible dans la version 0.17). Le numéro d'emplacement de la ligne peut être sélectionné dans la vue 3D ou dans le panneau de tâches de la fenêtre en double-cliquant sur la fenêtre dans l'arborescence de la Vue combinée
  • L'outil Windows peut utiliser la fonction Multi-Materials. La fenêtre cherchera dans Multi-Material les couches de matériaux avec le même nom pour chacun des composants de la fenêtre et l'utiliser si le composant est trouvé. Par exemple, un composant appelé "OuterFrame" cherchera dans le Multi-Material attaché, une couche de matériau appelée "OuterFrame". Si une telle couche de matériau est trouvée, son matériau sera attribué au composant OuterFrame. La valeur de l'épaisseur de la couche de matériau n'est pas prise en compte.

Ouvertures

Voir aussi: Tutoriel pour les fenêtres ouvertes

Les portes et fenêtres peuvent apparaître partiellement ou entièrement ouvertes dans le modèle 3D ou peuvent afficher des symboles d'ouverture en plan et/ou en élévation. Par conséquent, elles apparaîtront également dans les vues 2D extraites générées par Draft Shape2DView ou TechDraw ou Drawing Workbench. Pour obtenir ceci, au moins un des composants de la fenêtre doit avoir une charnière et un mode d'ouverture défini (voir la section Composants de construction ci-dessus). Ensuite, en utilisant les propriétés DATAOpening, DATASymbol Plan ou DATASymbol Elevation, vous pouvez configurer l'apparence de la fenêtre:

Arch window openings.png

Porte indiquant le plan des symboles, leur élévation et les propriétés d'ouverture au travail


Propriétés

  • DONNÉESWindow Parts : une liste chaîne (5 chaînes par composant, réglez les options des composants ci-dessus)
  • DONNÉESLouvre Width: Si un des composants est réglé sur "Louvres", cette propriété définit la taille des éléments de la persienne
  • DONNÉESLouvre Spacing: Si un des composants est réglé sur "Louvres", cette propriété défini l'espacement entre les éléments de la persienne
  • DONNÉESHole Wire: Le nombre de lignes pour l'objet de base est utilisé pour créer l'emplacement dans l'objet hôte de cette fenêtre. Cette valeur peut être graphiquement en double cliquant sur la fenêtre dans la vue 3D. Si vous donner la valeur 0 la fenêtre sera automatiquement construite sur la plus grande valeur de la ligne de l'emplacement.
  • DONNÉESWindow Parts: Une liste d'éléments (5 éléments par composant, définissant les options de composant ci-dessus)
  • DONNÉESLouvre Width: Si un des composants est réglé sur "Louvres", cette propriété définit la taille des éléments du louvre
  • DONNÉESLouvre Spacing: Si un des composants est réglé sur "Louvres", cette propriété définit l'espace entre les éléments du louvre
  • DONNÉESOpening: Tous les composants dont le mode d'ouverture est défini, et à condition qu'une charnière soit définie dans ceux-ci ou dans un composant antérieur de la liste, apparaissent ouverts par un pourcentage défini par cette valeur
  • DONNÉESSymbol Plan: Affiche le symbole d'ouverture dans le plan 2D
  • DONNÉESSymbol Elevation: Affiche le symbole d'ouverture en élévation dans le plan 2D

Script

Voir aussi: Arch API et Débuter avec les scripts.

L'outil Fenêtre peut être utilisé à l'intérieur d'une macro, et, à partir de la console Python, en utilisant la fonction suivante :

Window = makeWindow(baseobj=None, width=None, height=None, parts=None, name="Window")
  • Créer un objet Window basé sur baseobj, qui devrait être un fil fermé ou une esquisse
  • Si disponible, définir la largeur width, hauteur height et le nom name (label) de la fenêtre.
  • Si baseobj n'est pas une forme fermée, l'outil ne pourra pas créer une figure solide correcte.

Exemple:

import FreeCAD, Draft, Arch

Rect1 = Draft.makeRectangle(length=900, height=3000)
Window = Arch.makeWindow(Rect1)
FreeCAD.ActiveDocument.recompute()

Vous pouvez également créer une fenêtre à partir d'un préréglage.

Window = makeWindowPreset(windowtype, width, height, h1, h2, h3, w1, w2, o1, o2, placement=None)
  • Crée un objet Window basé sur windowtype qui devrait être l'un des noms définis dans Arch.WindowPresets
    • Certains de ces préréglages sont: "Fixed" (fixe), "Open 1-pane" (un battant ouvert), ""Open 2-pane" (2 battants ouverts), "Sash 2-pane" (2 vantaux), "Sliding 2-pane" (2 volets coulissants), "Simple door" (Porte simple), "Glass door" (Porte vitrée), "Sliding 4-pane" (4 volets coulissants).
  • width et height définissent la taille totale de l'objet en millimètres.
  • Les paramètres h1, h2, h3 (décalages verticaux), w1, w2 (largeurs), o1 et o2 (décalages horizontaux) spécifient des distances différentes en millimètres et dépendent du type de préréglage en cours de création.
  • Si un placement est donné, il est utilisé.

Exemple:

import FreeCAD, Arch

base = FreeCAD.Vector(2000, 0, 0)
Axis = FreeCAD.Vector(1, 0, 0)
place=FreeCAD.Placement(base, FreeCAD.Rotation(Axis, 90))

Door = Arch.makeWindowPreset("Simple door",
                             width=900, height=2000,
                             h1=100, h2=100, h3=100, w1=200, w2=100, o1=0, o2=100,
                             placement=place)
Arrow-left.svg Page précédente: Arch Reference.svg Référence
Page suivante: Plan de coupe Arch SectionPlane.svg Arrow-right.svg
Arrow-left.svg Page précédente: Arch Window.svg Fenêtre
Page suivante: Axes Arch CompAxis.png Arrow-right.svg

Arch SectionPlane.svg Plan de coupe

Emplacement du menu
Architecture → Plan de coupe
Ateliers
Arch
Raccourci par défaut
S P
Introduit dans la version
-
Voir aussi
Projection 2D d'une forme, Nouvelle vue Arch TechDraw


Description

Cet outil place dans le document courant un objet qui définit un plan de coupe ou une vue. Le plan de coupe adopte l'orientation du plan de travail courant et peut être déplacé et réorienté jusqu'à ce qu'il décrive la vue 2D que vous souhaitez obtenir. L'objet plan de coupe ne calculera que les objets qui ont été sélectionnés lorsqu'il a été créé. Des objets peuvent ensuite être ajoutés ou supprimés d'un plan de coupe avec les outils Arch Addition et Arch Soustraire, ou cliquez deux fois sur Section Plane dans la vue 3D.

L'outil Section Plane utilisé seul ne créera aucune vue des objets définis. Pour cela, vous devez créer une Vue dessin pour créer une vue dans la page Mise en plan, utilisez Projection 2D d'une forme pour créer une vue dans le document 3D lui-même ou une Nouvelle vue Arch TechDraw pour créer une vue dans une page de l' Atelier TechDraw.

Arch SectionPlane example

Utilisation

  1. Optionnellement activez plan de travail pour représenter le plan que vous voulez placer dans Section Plane.
  2. Sélectionnez l'objet ou les objets à inclure dans le plan.
  3. Appuyez sur le bouton Arch SectionPlane.svg Plan de coupe ou pressez les touches S, et, P.
  4. Utilisez les touches Déplacez/Pivotez pour placer le plan dans sa position correcte.
  5. Sélectionnez le plan s'il n'est pas sélectionné.
  6. Utilisez les fonctions Drawing DraftView, Draft Shape2DView ou TechDraw ArchView pour créer une vue.

Options

  • L'objet Section Plane ne prendra qu'un certain nombre d'objets, pas tous les objets du document. Les objets peuvent être ajoutés ou supprimés à partir d'un objet SectionPlane en utilisant les outils Arch Add et Arch Remove, en double-cliquant sur le Section Plane dans la vue 3D, ou en sélectionnant des objets dans l'arborescence de la vue combinée, puis appuyez sur les boutons Ajouter ou Supprimer.
  • Après avoir sélectionné un plan de coupe, utilisez l'outil de Draft Projection 2D d'une forme pour créer un objet shape qui représente l'affichage du plan de coupe dans le document

Arch Section

Arch Section example3.jpg

  • Le plan de coupe peut également être utilisé pour afficher toute la vue 3D coupée par un plan infini. Ceci est seulement visuel, et n'affectera pas la géométrie des objets coupés.

Arch SectionPlane CutView.jpg

Propriétés

  • DONNÉESOnly Solids: S'il est activé, les objets non solides comppris dans l'ensemble ne seront pas pris en charge
  • VUEDisplay Length: Donne la longueur du Section Plane dans la vue 3D. N'affecte pas le résultat de la vue résultante.
  • VUEDisplay Height: Donne hauteur du Section Plane dans la vue 3D. N'affecte pas le résultat de la vue résultante.
  • VUEArrow Size: Donne la dimension des flèches du Section Plane dans la vue 3D. N'affecte pas le résultat de la vue résultante.
  • VUECut View: S'il est activé True, toute la vue 3D sera coupée à l'emplacement du Section Plane.
  • VUEClip view: S'il est activé True, il coupera la vue à la hauteur et à la longueur de l'affichage du plan de coupe. Cela transforme effectivement le plan de coupe en une caméra orthographique, limitant le champ de vision.Disponible dans la version 0.19

Arch SectionPlane ClipView.png

Le plan de coupe Arch avec l'option de vue Clip se comportera comme une caméra, limitant le champ de vision de la vue.


Script

Voir aussi: API et Débuter avec les scripts.

L'outil plan de coupe peut servir dans une macro et à partir de la console Python en utilisant la fonction suivante :

Section = makeSectionPlane(objectslist=None, name="Section")
  • Crée un objet Section à partir de objectlist qui est une liste d'objets.

Exemple :

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
Structure = Arch.makeStructure(length=1000, width=1000, height=200)
FreeCAD.ActiveDocument.recompute()

BuildingPart = Arch.makeBuildingPart([Wall1, Wall2])

Floor = Arch.makeFloor([BuildingPart])
Building = Arch.makeBuilding([Floor, Structure])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()

Section1 = Arch.makeSectionPlane([Wall1, Wall2])
Section2 = Arch.makeSectionPlane([Structure])
Section3 = Arch.makeSectionPlane([Site])
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Arch Window.svg Fenêtre
Page suivante: Axes Arch CompAxis.png Arrow-right.svg
Arrow-left.svg Page précédente: Arch CompAxis.png Axes
Page suivante: Système d'axes Arch AxisSystem.png Arrow-right.svg

Arch Axis.svg Arch Axes

Emplacement du menu
Arch → Axis
Ateliers
Atelier architecture
Raccourci par défaut
A X
Introduit dans la version
-
Voir aussi
Système d'axes, Grille


Description

L'outil Axes vous permet de placer une série d'axes dans le document actuel. La distance et l'angle entre les axes sont personnalisables, ainsi que le style de numérotation. Les axes servent principalement de références pour accrocher des objets, mais peuvent également être utilisés avec Système d'axes, et peuvent également être référencés par d'autres objets Arch pour créer des tableaux paramétriques, par exemple des poutres ou des colonnes. Grilles peut également être utilisé à la place des axes.

Arch Axis example.jpg

Deux objets axes placés perpendiculairement l'un par rapport à l'autre pour créer une grille


Utilisation

  1. Appuyez sur le bouton Système d'axes Système d'axes ou appuyez sur les touches A puis X .
  2. Déplacer / Faire une Rotation le système d'axes dans la position souhaitée.
  3. entrez en mode édition en double-cliquant sur le système d'axes dans la vue combinée pour ajuster ses paramètres, comme le nombre d'axes, les distances, et, les angles entre les axes.

Options

  • Chaque axe, dans un système d'axes a sa propre distance, et, angle par rapport à l'axe précédent. Cela permet de faire des systèmes très complexes, tels que les systèmes non orthogonaux, systèmes polaires, ou n'importe quel système de type de non uniforme.
  • La longueur des axes, la taille des bulles, et, les styles de numérotation sont personnalisables, directement via les propriétés du système d'axes.

Propriétés

  • DONNÉESLength: La longueur des axes.
  • VUEBubble Size: La taille des bulles des axes.
  • VUENumeration style: Style de numérotation : 1,2,3, A,B,C, etc...
  • VUEBubble Position: Position de la bulle sur l'axe: Point de départ, point de terminaison, les deux ou aucun.
  • VUEFont Name: Police du numéro de la bulle et/ou les étiquettes
  • VUEFont Size: La taille du texte de l'étiquette uniquement (le texte de la bulle est contrôlé par la taille de la bulle)
  • VUEShow Labels: Active/désactive l'affichage du textes des étiquettes

Scripts

Voir aussi: API et Débuter avec les scripts.

L'outil axes peut être utilisé dans une macro et à partir de la console Python en utilisant la fonction suivante :

Axes = makeAxis(num=5, size=1000, name="Axes")
  • Crée un objet Axes à partir du nombre donné (num) d'axes et de la taille, l'intervalle entre chaque axe.

Exemple:

import Draft, Arch

Axes = Arch.makeAxis(5, 1000)

Axes.ViewObject.LineWidth = 3
Axes.ViewObject.BubbleSize = 200
Axes.ViewObject.FontSize = 150

Axes2 = Arch.makeAxis(6, 500)

Axes2.ViewObject.LineWidth = 2
Axes2.ViewObject.BubbleSize = 200
Axes2.ViewObject.FontSize = 150
Axes2.ViewObject.NumberingStyle = "A,B,C"
FreeCAD.ActiveDocument.recompute()

Axes2.Length = 6000
Draft.rotate(Axes2, -90)
Draft.move(Axes2, FreeCAD.Vector(-1000, 2500, 0))
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Arch CompAxis.png Axes
Page suivante: Système d'axes Arch AxisSystem.png Arrow-right.svg
Arrow-left.svg Page précédente: Arch Grid.svg Grille
Page suivante: Espace Arch Space.svg Arrow-right.svg

Arch Roof.svg Toiture

Emplacement du menu
Arch → Roof
Ateliers
Atelier architecture
Raccourci par défaut
R F
Introduit dans la version
-
Voir aussi
Structure, Mur


Description

L'outil Toit vous permet de créer un toit avec une pente à partir d'une ligne sélectionnée. L'objet Toit créé est paramétrique, et garde sa relation avec l'objet de base. Le principe est que chaque bord se voit attribuer un profil de toiture (pente, largeur, saillie, épaisseur).

Cet outil est encore en développement et peut échouer avec des formes très complexes.

RoofExample.png

Vue d'en haut d'un modèle de bâtiment montrant le toit avec une certaine transparence


Utilisation

  1. Créez un fil dans le sens antihoraire et sélectionnez le.
    • CounterclockwiseWire.png
  2. Cliquez sur le bouton Arch Roof.svg Toiture ou sur les touches R puis F.
  3. L'objet Toit par défaut a l'air étrange car l'outil n'a aucune information.
  4. Après la création du toit par défaut, double cliquez sur l'objet dans la vue 3D pour accéder à son édition et ses propriétés. Les angles doivent être compris entre 0 et 90 degrés.
    • RoofTable.png
  5. Chaque ligne correspond à un pan de toit. Vous pouvez ainsi définir les propriétés que vous dédirez pour chaque pan du toit.
  6. Pour vous aider, vous pouvez définir les angles ou les mettre à 0 et défini un ID relatif, les données relatives se calculeront automatiquement.
  1. Voici son fonctionnement:
    1. Si Angle = 0 et Run = 0 le profil est identique au profil relatif.
    2. Si Angle = 0 alors l'angle est calculé de telle manière que la hauteur soit la même que le profil relatif.
    3. Si Run = 0 alors Run est calculé de telle manière que la hauteur soit la même que le profil relatif.
  2. A la fin, définir un angle de 90 ° pour réaliser un pignon.
    • RoofProfil.png
  3. Vous pouvez aussi voir cette vidéo : https://www.youtube.com/watch?v=4Urwru71dVk

Options

  • L'objet Roofs partage les propriétés communes et le comportement de tous les objet Arch Composants

Propriétés

  • DONNÉESAngles: Liste les angles des pans de la toiture (un angle pour chaque pan) de la pente.
  • DONNÉESRuns: Liste de la largeur du pan de la toiture (une pour chaque bord).
  • DONNÉESIdRel: Liste la relation entre l'angle et la pente du toit
  • DONNÉESThickness: Liste de l'épaisseur du pan de la toiture. (Une épaisseur pour chaque bord).
  • DONNÉESOverhang: Liste de la saillie du pan de la toiture (un surplomb pour chaque bord).
  • DONNÉESFace: Indice de la face de l'objet de base utilisée # Pas vraiment utilisé

Script

Voir aussi : Arch API et FreeCAD Scripts de Base.

L'outil de toit peut être utilisé dans les macros et dans la console Python en utilisant la fonction suivante:

Roof = makeRoof(baseobj=None, facenr=0, angles=[45.,], run=[], idrel=[0,], thickness=[50.,], overhang=[100.,], name="Roof")
  • Crée un objet Roof (toiture) à partir du baseobj donné qui peut être un fil fermé ou un objet solide.
    • Si baseobj est un fil, vous pouvez fournir des listes pour les angles, run, idrel, Template:Incod et overhang pour chaque bord du câble définissant la forme du toit.
    • Les listes sont automatiquement complétées pour correspondre au nombre d'arêtes.

Exemple:

import FreeCAD, Arch, Draft

Rect = Draft.makeRectangle(3000, 4000)
Roof = Arch.makeRoof(Rect, angles=[30.,])
FreeCAD.ActiveDocument.recompute()

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(0, 2000, 0)
Wire = Draft.makeWire([p1, p2, p3], closed=True)
Roof2 = Arch.makeRoof(Wire)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Arch Grid.svg Grille
Page suivante: Espace Arch Space.svg Arrow-right.svg
Arrow-left.svg Page précédente: Arch CutPlane.svg Couper suivant un Plan
Page suivante: Soustraire Arch Remove.svg Arrow-right.svg

Arch Add.svg Arch Addition

Emplacement du menu
Arch → Add
Ateliers
Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Arch Remove


Description

L'outil Ajouter vous permet de faire 2 types d'opérations :

  • Ajouter un objet de base à un composant Architecture, par exemple un mur ou une structure.

Ces objets font alors partie des composants d'Architecture, et vous permettent de modifier sa forme, en gardant toutes ses propriétés de base telle que la largeur et la hauteur.

La contrepartie de cet outil est l'outil Arch Effacer.

Arch Add example.jpg

Dans l'image ci-dessus, une boîte est ajoutée à un mur.


Utilisation

  1. Sélectionnez l'objet(s) qui doit être ajouté, ensuite, sélectionnez l'objet hôte (l'objet hôte doit être le dernier objet sélectionné).
  2. Cliquez sur le bouton Arch Add.png Ajouter

Script

Voir aussi: Arch API et Sripts de base FreeCAD.

L'outil Ajouter peut être utilisé dans une macro, ou dans la console Python en utilisant la fonction :

addComponents(objectsList, host)
  • Ajoute les objets donnés comme des composants de l'objet hôte donné. S'utilise par exemple pour ajouter des fenêtres à un mur, ou un murs sur un niveau.
  • Retour : rien.

Exemple:

import FreeCAD, Arch, Draft, Part

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 2000, 0)

Line = Draft.makeWire([p1, p2])
Wall = Arch.makeWall(Line, width=150, height=2000)

p3 = FreeCAD.Vector(0, 2000, 0)
p4 = FreeCAD.Vector(3000, 0, 0)

Line2 = Draft.makeWire([p3, p4])
Wall2 = Arch.makeWall(Line2, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Arch.addComponents(Wall2, Wall)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Arch CutPlane.svg Couper suivant un Plan
Page suivante: Soustraire Arch Remove.svg Arrow-right.svg
Arrow-left.svg Page précédente: Arch Add.svg Arch Addition
Page suivante: Arch Survey Arch Survey.svg Arrow-right.svg

Arch Remove.svg Arch Soustraire

Emplacement du menu
Arch → Remove
Ateliers
Atelier Architecture
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Arch Addition


Description

L'outil Supprimer Arch Remove.png vous permet de faire 2 types d'opérations:

  • Supprimer une portion d'un objet Arch, par exemple supprimer une boîte qui a été ajoutée à un mur Arch Wall.png, comme dans l'exemple Arch ajouter Arch Add.png.
  • Soustraire une forme (shape) d'un objet de base, à partir d'une composante Arch tel qu'un mur Arch Wall.png ou, une structure Arch Structure.png.

La contrepartie de cet outil est l'outil Arch Addition.

Arch Remove example.jpg

Une boîte soustraite d'un mur, laissant un trou dedans.


Utilisation

  1. Sélectionnez un sous-composant dans un objet Arch.
  2. Appuyez sur le bouton Arch Remove.svg Remove.

Ou

  1. Sélectionnez les objets à soustraire, le dernier objet sélectionné doit être l’objet Arch auquel les autres objets seront soustraits.
  2. Appuyez sur le bouton Arch Remove.svg Remove.

Script

Voir aussi Arch API et Débuter avec les scripts.

L'outil de sosutraction peut être utilisé dans macros et à partir de la console Python à l'aide de la fonction suivante:

removeComponents(objectsList, host=None)
  • Supprime les objets donnés dans objectsList de leurs parents.
  • Si un objet host est spécifié, cette fonction essaiera d'ajouter les objets dans objectsList en tant que trous de l'élément host.

Exemple:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Arch Add.svg Arch Addition
Page suivante: Arch Survey Arch Survey.svg Arrow-right.svg

Credits

FreeCAD Users Contributors.svg

<translate> FreeCAD would not be what it is without the generous contributions of many people. Here's an overview of the people and companies who contributed to FreeCAD over time. For credits for the third party libraries see the Third Party Libraries page.

Development

Project managers

Lead developers of the FreeCAD project: </translate>

<translate>

Main developers

People who work regularly on the FreeCAD code (retrieved from https://github.com/FreeCAD/FreeCAD/graphs/contributors): </translate>

<translate>

Other coders

Other people who contributed code to the FreeCAD project: </translate>

  • jmaustpc
  • j-dowsett
  • keithsloan52
  • Joachim Zettler
  • Graeme van der Vlugt
  • Berthold Grupp
  • Georg Wiora
  • Martin Burbaum
  • Jacques-Antoine Gaudin
  • Ken Cline
  • Dmitry Chigrin
  • Remigiusz Fiedler (DXF-parser)
  • peterl94
  • jobermayr
  • ovginkel
  • triplus
  • tomate44
  • maurerpe
  • Johan3DV
  • Mandeep Singh
  • fandaL
  • jonnor
  • usakhelo
  • plaes
  • SebKuzminsky
  • jcc242
  • ezzieyguywuf
  • marktaff
  • poutine70
  • qingfengxia
  • dbtayl
  • itain
  • Barleyman

<translate>

Companies

Companies which donated code or developer time: </translate>

<translate>

Forum moderators

People in charge of the FreeCAD forum (retrieved from http://forum.freecadweb.org/memberlist.php?mode=team): </translate>

<translate>

Community

People from the community who put a lot of efforts in helping the FreeCAD project either by being active on the forum, keeping a blog about FreeCAD, making video tutorials, packaging FreeCAD for Windows/Linux/MacOS X, writing a FreeCAD book... (listed by alphabetical order) (retrieved from http://forum.freecadweb.org/memberlist.php?mode=&sk=d&sd=d#memberlist) </translate>

<translate>

Documentation writers

People who wrote the documentation on this wiki: </translate>

<translate>

Translators

People who helped to translate the FreeCAD application (retrieved from https://crowdin.com/project/freecad): </translate>


<translate>

Addons developers

Developers of FreeCAD addons (retrieved from https://github.com/FreeCAD/FreeCAD-addons): </translate>


<translate> </translate>